Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Class PolicyError

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.omg.CORBA.UserException
                  org.omg.CORBA.PolicyError

All Implemented Interfaces:
  Serializable, IDLEntity

    public final class PolicyError

extends UserException

A user exception thrown when a policy error occurs. A `PolicyError` exception may include one of the following policy error reason codes defined in the org.omg.CORBA package: BAD_POLICY, BAD_POLICY_TYPE, BAD_POLICY_VALUE, UNSUPPORTED_POLICY, UNSUPPORTED_POLICY_VALUE.

Field Summary
`short` | `reason` The reason for the `PolicyError` exception being thrown.

Constructor Summary
`PolicyError()` Constructs a default `PolicyError` user exception with no reason code and an empty reason detail message.
`PolicyError(short __reason)` Constructs a `PolicyError` user exception initialized with the given reason code and an empty reason detail message.
`PolicyError(String reason_string, short __reason)` Constructs a `PolicyError` user exception initialized with the given reason detail message and reason code.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### reason

    public short reason

  The reason for the `PolicyError` exception being thrown.

Constructor Detail

### PolicyError

    public PolicyError()

  Constructs a default `PolicyError` user exception with no reason code and an empty reason detail message.

### PolicyError

    public PolicyError(short __reason)

  Constructs a `PolicyError` user exception initialized with the given reason code and an empty reason detail message.

  Parameters:
    `__reason` - the reason code.

### PolicyError

    public PolicyError(String reason_string,
                       short __reason)

  Constructs a `PolicyError` user exception initialized with the given reason detail message and reason code.

  Parameters:
    `reason_string` - the reason detail message.
    `__reason` - the reason code.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2009 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.